# SEO Logs API: Node.js Client

Node.js client for SEO Logs API.

## Installation

```bash
npm install seologs-api
```

## Usage

The api token is required to connect to SEO Logs api, provide it as environment variables like so:

```js
process.env.SEOLOGS_API_TOKEN = 'YOUR_TOKEN';

const seologs = require('seologs-api')();
```

Alternatively pass them in as function arguments:

```js
const seologs = require('seologs-api')('YOUR_TOKEN');
```

Then use the client, example:

```js
seologs.project.getProject(YOUR_PROJECT_ID)
    .then(function (jsonResult) {
        // success..
    })
    .catch(function (err) {
        // failed...
    });
```

## Test

Run the following command:

```bash
npm test
```

## Documentation

### Build

Run the following command:

```bash
npm run docs
```

## API Reference

* [Bot](/docs/bot.md)
* [Log Analyzer](/docs/logAnalyzer.md)
* [Notification](/docs/notification.md)
* [Project](/docs/project.md)
* [Project Module](/docs/projectModule.md)