'use strict';

/**
 * @param {string} token API token.
 * @param {string} domain   API domain (default to `api.seo-logs.com`).
 * @returns {Base}
 */
function seologs(token='', domain='') {

    token = !token ? process.env.SEOLOGS_API_TOKEN : token;

    const api = {
        base:                   require('./base'),
        bot:                    require('./bot'),
        logAnalyzerFileHistory: require('./logAnalyzerFileHistory'),
        logAnalyzer:            require('./logAnalyzer'),
        notification:           require('./notification'),
        project:                require('./project'),
        projectModule:          require('./projectModule')
    };

    const base = new api['base'](token, domain);

    return new Proxy(base, {
        get: (target, name) => {
            return new api[name](token, domain);
        }
    })
}

module.exports = seologs;